%define req_glib_version	2.0.0
%define req_libidl_version	0.8.10

%define lib_major	0
%define api_version 2.0
%define lib_name	%mklibname %{name}_ %{lib_major}
%define develname %mklibname -d %name

Name:		ORBit2
Version:	2.14.19
Release:	%mkrel 8
Summary:	High-performance CORBA Object Request Broker
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/projects/ORBit2/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.1-2mdk fix crash when /tmp is not readable
Patch0:		ORBit2-2.14.4-tmpdir.patch
# (cjw) relax memory leak test tolerance (50->200K) -- does not work, test disabled in patch3
Patch1:		ORBit2-2.14.19-leaktest.patch
Patch2:		ORBit2-2.14.19-automake-1.13.patch
Patch3:		ORBit2-2.14.19-skip-failing-test.patch
# (cjw) use a libtool convenience library instead of a static archive + fix dependencies
Patch4:		ORBit2-2.14.19-nostatic.patch
Patch5:		ORBit2-2.14.19-link.patch
BuildConflicts:	ORBit-devel < 0.5.10
BuildRequires:	pkgconfig(libIDL-2.0) >= 0.8.2
BuildRequires:	pkgconfig(glib-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.8.0
BuildRequires:	pkgconfig(gthread-2.0) >= 2.8.0
BuildRequires:	indent bison flex
BuildRequires:  gtk-doc
Requires:	%{lib_name} = %{version}
Requires:	libIDL2 >= %{req_libidl_version}
Obsoletes:      linc < 1:1.0.3
Conflicts:      %{_lib}linc1
Provides:       linc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

You will need to install this package if you want to run programs that use
the ORBit implementation of CORBA technology.

%package -n %{lib_name}
Summary:	High-performance CORBA Object Request Broker
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to
send requests and receive replies from other programs, regardless
of the locations of the two programs. CORBA is an architecture that
enables communication between program objects, regardless of the
programming language they're written in or the operating system they
run on.

This package contains all core libraries of the ORBit implementation
of CORBA technology.

%package -n %develname
Summary:	Development libraries, header files and utilities for ORBit
Group:		Development/GNOME and GTK+
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
# needed for orbit-idl-2
Requires:       indent
Conflicts:	ORBit-devel < 0.5.10
Obsoletes:      %mklibname -d %{name}_ 0

%description -n %develname
This package contains the header files, libraries and utilities
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBit package.


%prep
%setup -q
%patch0 -p1 -b .tmpdir
%patch1 -p1 -b .leaktest
%patch2 -p1 -b .automake-1_13
%patch3 -p1 -b .test
#patch4 -p1 -b .nostatic
%patch5 -p1 -b .linkorder

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc --enable-purify --disable-static
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/orbit2-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/orbit-%{api_version}/orbit/orbit-config.h

# Rename doc to prevent name conflict
cp src/services/name/README README.service-name

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,755)
%doc README.service-name AUTHORS NEWS MAINTAINERS README
%{_bindir}/linc-cleanup-sockets
%{_bindir}/ior-decode-2
%{_bindir}/typelib-dump
%{_datadir}/idl/orbit-%{api_version}
%dir %{_libdir}/orbit-%{api_version}
%{_libdir}/orbit-%{api_version}/Everything_module.so

%files -n %{lib_name}
%defattr(-,root,root,755)
%{_libdir}/lib*-2.so.0*

%files -n %develname
%defattr(-,root,root,755)
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/orbit2-config
%multiarch %{multiarch_bindir}/orbit2-config
%{_bindir}/orbit-idl-2
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/libname-server-2.a
%{_libdir}/pkgconfig/*.pc


%changelog

* Wed Mar 27 2013 fwang <fwang> 2.14.19-8.mga3
+ Revision: 405438
- fix deps
- more link order fix

* Sun Mar 03 2013 fwang <fwang> 2.14.19-7.mga3
+ Revision: 401246
- tweak liknk and build order

* Tue Feb 12 2013 fwang <fwang> 2.14.19-6.mga3
+ Revision: 397962
- update file list
- disable patch4 as it breaks bonobo build

* Wed Jan 23 2013 cjw <cjw> 2.14.19-5.mga3
+ Revision: 391688
- patch4: try to fix parallel build with make -l<n>

* Fri Jan 11 2013 fwang <fwang> 2.14.19-4.mga3
+ Revision: 345243
- skipping failing test as upstream does not care (gnome#630933)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + cjw <cjw>
    - patch1: relax tolerance of leak test
    - regenerate build scripts
      o patch2: fix build with automake 1.13

* Tue Sep 13 2011 fwang <fwang> 2.14.19-2.mga2
+ Revision: 142867
- update file list
- drop .la files

* Mon Jan 10 2011 dmorgan <dmorgan> 2.14.19-1.mga1
+ Revision: 5508
- imported package ORBit2

